# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'j_pagination/version'

Gem::Specification.new do |spec|
  spec.name          = "j_pagination"
  spec.version       = JPagination::VERSION
  spec.authors       = ["gusti amanda"]
  spec.email         = ["gusti@go-jek.com"]

  spec.summary       = "yeay lets do paginate again"
  spec.description   = "a simple pagin helper with will_paginate depedency, any case if you are requesting data from api"
  spec.homepage      = "https://github.com/endjay/j_pagination"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'will_paginate', '~> 3.1', '>= 3.1.0'
  spec.add_runtime_dependency 'will_paginate-bootstrap', '~> 0'


  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

end
